Neu in Version 2.7 (17.08.2015):
- Diverse Anpassungen von autoBert (www.autoit.de) damit das Programm auch unter v3.3.14.0 lauffähig ist.

Neu in Version 2.6 (25.01.2011):
- Die Buttons in der oberen Leiste können nun verschoben werden (rechts/links um die Reihenfolge zu ändern). 
- Die Buttons können jetzt auch umbenannt werden (Kontextmenü: "Umbenennen").
- Fehler, wenn man Buttons hinzugefügt und dann einen Button entfernt hat. Die Kontextmenüs wurden nicht mit gelöscht. Behoben!
- Array-Fehler, wenn in einem Verzeichnis nur Verzeichnisse und/oder Dateien lagen, die versteckt sind. Behoben! 
- Der FileCommander kann jetzt nur noch einmal gestartet werden.

Neu in Version 2.5.1 (23.01.2011):
- Array-Fehler, wenn noch kein Button in der Button-Leiste vorhanden war. Behoben!
- Fehler beim beenden, wenn das Programm minimiert ist. Es wurde -32000 als und X- und Y-Position gespeichert. Behoben!

Neu in Version 2.5 (23.01.2011):
- Es gibt nun eine Button-Leiste, in die man Exe-Dateien ziehen kann, die dann (beim anklicken) per ShellExecute gestartet werden.
- Falls kein externer HexEditor ausgewählt wurde, wird nun ein einfacher HexViewer verwendet. Danke für die Funktion, Kleiner!
- Alle in der Registry ausgeblendeten Laufwerksbuchstaben können im FileCommander ebenfalls ausgeblendet werden (Einstellungsmenü).
- Die auszublendenden Laufwerksbuchstaben können konfiguriert werden (Einstellungsmenü).
- Wenn der FileCommander in einem Verzeichnis lag das Leerzeichen enthielt, funktionierte das (ent-)packen mit 7z nicht. Behoben!

Neu in Version 2.4 (18.01.2011):
- Für die Suchfunktion stehen nun weitere Befehle (verschieben, kopieren, löschen) zur Verfügung.
- Bei der StringInStr-Suche steht ein Leerstring nun für: "alle Einträge"
- Bei der Suchfunktion habe ich die ReparsePoints nicht berücksichtigt. Behoben! Danke, Kleiner!

Neu in Version 2.3 (17.01.2011):
- Suchfunktion mit StringInStr- und StringRegExp-Suche eingebaut (Aufruf über Hotkey = ALT + s oder im Dateimenü)
- Hotkey zum anzeigen des Vorschaufensters auf ALT + v geändert
- Man kann nun Verknüpfungen erstellen (Kontextmenü).
- Beim zurückkehren in das vorherige Verzeichnis wird nun auch der zuletzt gewählte Eintrag markiert.
- Das zurückkehren zur letzten Scrollposition des vorherigen Verzeichnisses funktionierte nicht richtig. Behoben!

Neu in Version 2.2 (15.01.2011):
- Das erstellen der Listview-Einträge geschieht nun über eine von mir modifizierte Funktion (_GUICtrlListView_AddArrayEx). Dadurch wurde das anzeigen der Dateien und Verzeichnisse wesentlich schneller. 
- OS-abhängige Mindestgröße des Fensters, damit die Icons mit auf die Buttons passen.
- Im Vorschaufenster wird nun immer das Bild angezeigt, dessen Eintrag den Focus besitzt, nicht das erste Selektierte. 

Neu in Version 2.1 (03.01.2011):
- Das im Vorschaufenster angezeigte Bild lässt sich jetzt mit den Pfeiltasten (Rechts/Links) um 90 Grad im/gegen den Uhrzeigersinn drehen.
- Das Vorschaufenster passt sich nun der Größe des FileCommanders an.
- Das Vorschaufenster wird immer auf der, der aktiven Dateiliste, gegenüberliegenden Seite geöffnet.
- Fehler beim "nicht anzeigen" von versteckten Dateien. Behoben! Danke Tweaky!

Neu in Version 2.0 (02.01.2011):
- Das einlesen der Verzeichnisse optimiert (ca. 30% schneller)
- Gitternetzlinien für die Dateilisten (Ein-/Ausschalten im Einstellungsmenü).
- Beim anklicken einer nicht unterstützten Datei wird nun das Vorschaufenster schwarz und ein Hinweis in der Statuszeile angezeigt.
- Der Vorschaumodus sowie die Auswahl in den Dateilisten funktioniert nun auch über die Pfeiltasten (Rauf/Runter) und RETURN.
- Fehler beim neuzeichnen des Vorschaufensters. Hintergrund wurde nicht neugezeichnet. Behoben!
- Fehler beim auswählen des Hex-Editors. Behoben!
- Fehler beim anklicken der Laufwerks-Buttons. Laufwerk wurde doppelt eingelesen. Behoben!

Neu in Version 1.9 (26.12.2010):
- Vorschau-Fenster für alle von GDI+ unterstützen Bilddateien. Öffnen/Schließen mit: [ALT] & [s]
- Im Einstellungsmenü kann man nun auswählen, ob man grosse oder kleine Icons in der Dateiliste haben will.
- Wenn beim kopieren/verschieben eine Datei bereits existiert, gibt es nun auch die Option des Umbenennens.
- Markierung für die Laufwerks-Buttons wieder eingeführt. Geht jetzt auch mit den Icons.
- Unter WindosXP wurde der Eigenschaften-Dialog für die Laufwerke nicht aufgerufen. Behoben!
- Den Hotkey für das wechseln in die nächsthöhere Verzeichnisebene auf [STRG] & [BACKSPACE] geändert.
- Das Skript lässt sich jetzt auch als 64Bit-Exe compilieren. Danke, progandy!

Neu in Version 1.8 (23.12.2010):
- Kopieren und Verschieben (SHIFT gedrückt halten) von Dateien/Verzeichnissen via Drag & Drop zwischen den beiden Dateilisten.
- Datei-/Verzeichnisdatum ändern (eigenes Fenster mit: erstellt, geändert und letzter Zugriff)
- Man kann jetzt einen Hex-Editor einbinden (Einstellungen), der mit dem linken unteren Button ["Anzeigen (Hex)"] aufgerufen wird.
- "Datum ändern" und "Attribute ändern" sind jetzt über das Dateimenü bzw. das Kontextmenü erreichbar.
- Die Inputboxen bei Umbenennen, Neuer Ordner und Neue Datei "folgen" (Position beim öffnen) nun dem Hauptfenster
- Die Laufwerks-Buttons sind jetzt echte Buttons, keine Checkboxen mehr. Dadurch ist zwar der Markierungs-Effekt weg, aber dafür werden nun die Icons angezeigt. 

Neu in Version 1.7 (19.12.2010):
- Eigenschaften-Dialog öffnen (Kontext- und Dateimenü).
- Packen der markierten Einträge mit 7z als ZIP- oder 7z-Archiv (je nach Dateiendung).
- Entpacken von ZIP- oder 7z-Archiven ins Zielverzeichnis.
- Bei Netzwerkpfaden wird nun an der Stelle des Laufwerkslabels die LAN-IP angezeigt.

Neu in Version 1.6 (15.12.2010):
- Netzwerk-Button eingebaut zum auswählen des Netzwerkpfades. Danke für den Tip, Raupi!
- Mit [BACKSPACE] kommt man in der aktiven Dateiliste eine Verzeichnisebene nach oben (für meine Zurücktaste auf der Maus).
- Das Programm merkt sich, bis zu welcher Zeile man im Listview gescrollt ist und scrollt wieder dorthin zurück, wenn man aus dem Unterverzeichnis zurückkehrt
- Neu im Einstellungsmenü: "Versteckte Verzeichnisse und Dateien anzeigen"
- Erkennung neuer bzw. abgemeldeter (USB-)Laufwerke verbessert.
- Beim Verschieben eines Verzeichnisses wurde das (dann leere) Verzeichnis im Quellverzeichnis nicht gelöscht. Behoben!
- Wenn es das Laufwerk "C:\" beim ersten Start nicht gibt, wurde trotzdem versucht "C:\" einzulesen. Behoben!
- Fehler bei der Eingabe im Pfad-Input. Es wurde das falsche Verzeichnis eingelesen. Behoben!

Neu in Version 1.5.2 (14.12.2010):
- Fehler beim ermitteln der Anzahl der Verzeichnisse. Behoben!

Neu in Version 1.5.1 (14.12.2010):
- Sortieren der Dateiliste nach Klick auf Spaltenüberschrift (auf-/abwärts) eingebaut.

Neu in Version 1.5 (14.12.2010):
- Wenn beim Kopieren/Verschieben die Datei im Zielverzeichnis bereits existiert, erscheint ein Auswahlfenster (Abbrechen, überschreiben, überspringen).
- Beim Kopieren/Verschieben wird jetzt die Geschwindigkeit (in MB/s) sowie die ungefähre Restzeit (in s) angezeigt.
- Buffer beim Kopieren/Verschieben auf 512 KByte erhöht.
- Man konnte kein leeres Verzeichnis kopieren, wenn es sich im aktuellen Pfad befand (als Unterverzeichnis schon). Behoben!
- Fehler beim Header-Drag&Drop behoben. Danke, Raupi!
- Das Inputfeld für den Pfad ist nun kein ReadOnly-Feld mehr. Man kann also auch per Copy&Paste Pfade einfügen.

Neu in Version 1.4.1 (12.12.2010):
- Beim auslesen des Verzeichnispfades wird nun immer geprüft, ob ein abschließender Backslash vorhanden ist.
- ShellExecute wird jetzt auch im rechten Fenster mit entsprechendem WorkingDir aufgerufen. Sorry... %-)

Neu in Version 1.4 (12.12.2010):
- Kopieren/Verschieben jetzt mit Fortschrittsanzeige (Progressbar, eigenes Fenster)
- Diverse Änderungen am Quellcode 
- Die Spaltenreihenfolge bei den Dateilisten kann per Header-Drag&Drop geändert werden. Danke, Raupi!
- Damit ist das Einstellungsfenster für die Spaltenreihenfolge per Zahleneingabe rausgeflogen.
- Im Fenster zum bearbeiten der Favoriten kann man nun auch neue Einträge erstellen.
- Es trat ein Fehler auf, wenn man bei den Favoriten keinen Eintrag ausgewählt hat und dann einen Namen und Pfad eingegeben hat. Behoben!

Neu in Version 1.3 (11.12.2010):
- Verzeichnisliste (Favoriten) für die Dateilisten hinzugefügt.
- Die Spaltenreihenfolge bei den Dateilisten kann geändert (Einstellungen) werden.
- ShellExecute wird nun mit entsprechendem WorkingDir aufgerufen.
- Ein Mausklick auf das Pfad-Eingabefeld ändert jetzt auch den Fokus. Danke, Raupi!

Neu in Version 1.2.2 (09.12.2010):
- Fehlerfix! Beim ändern der Spaltenbreite gab es noch einen Fehler. Behoben! Danke, Raupi!

Neu in Version 1.2.1 (09.12.2010):
- Fehlerfix! Beim ändern der Spaltenbreite gab es noch einen Fehler. Behoben!

Neu in Version 1.2 (08.12.2010):
- Die Spaltenbreite wird nun für beide Dateilisten gleich eingestellt.
- Die Hintergrundfarbe der Pfadanzeige habe ich dunkler gemacht, damit man eine evtl. Markierung sehen kann.
- Die Buttons werden deaktiviert wenn kein Eintrag markiert ist.
- Es gibt jetzt für jede Dateiliste ein Kontextmenü (gleich dem Markierenmenü).
- Beim Markierenmenü (+Kontextmenüs) sind mehrere Funktionen hinzugekommen:
    * "Alle Verzeichnisse markieren"
    * "Größe der markierten Verzeichnisse einlesen"
    * "Größe aller Verzeichnisse einlesen"
    * "Alle Dateien markieren"
    * "Alle Dateien mit der gleichen Endung markieren"

Neu in Version 1.1 (05.12.2010):
- Die Datei-Icons haben nun das Icon ihrer verknüpften Programme. Vielen Dank Progandy für die tollen Funktionen (siehe auch Danksagungen).
- Es gibt nun ein Icon pro Dateiliste, wo das Laufwerks-Icon angezeigt wird. Die Buttonfunktion kommt noch...
- Neben dem Button zum aktualisieren gibt es jetzt noch einen Button zum wechseln ins übergeordnete Verzeichnis.
- Der Laufwerkspfad befindet sich nun in einem Input-Control (so kann man den Pfad kopieren).
- In der Statusleiste wird nun auch ein Icon angezeigt.
- Beim einlesen eines Verzeichnisses gibt es jetzt noch einen "Warte"-Tooltip.

Features in Version 1.0 (05.12.2010):
- voll resizable (auch maximiert), Position und Größe werden gespeichert
- die Spalten in den beiden Dateilisten sind individuell einstellbar (werden auch gespeichert)
- Laufwerke werden auch während der Laufzeit erkannt und entfernt/hinzugefügt (z.B. USB-Stick angesteckt/entfernt)
- Doppelklick auf eine Datei führt ein ShellExecute mit der Datei aus, sodass das mit der Datei verknüpfte Programm gestartet wird.
- Man kann die Dateiattribute aller markierten Einträge ändern.
- Das Umbenennen von Dateien/Verzeichnissen ist möglich.
- Verschieben/Kopieren aller markierten Einträge (ohne zusätzliche Abfrage).
- Löschen (mit Sicherheitsabfrage) aller markierten Einträge.
- Neues Verzeichnis erstellen.
- Neue Textdatei erstellen.
- Hotkeys für die Buttons.